React Bootstrap Borders

React Borders - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap borders are lines placed on the edges of buttons, images, and other web elements. Additionally, border-radius class rounds the elements corners.

Use border utilities to quickly style the border and border-radius of an element. Great for images, buttons, or any other element.


Border

Use border utilities to add or remove an element’s borders. Choose from all borders or one at a time.

Additive

        
            
                import React from "react";

                const BorderPage = () => {
                    return (
                        <>
                            <span className="block-example border border-dark"></span>
                            <span className="block-example border-top border-dark"></span>
                            <span className="block-example border-right border-dark"></span>
                            <span className="block-example border-bottom border-dark"></span>
                            <span className="block-example border-left border-dark"></span>
                        </>
                    );
                }

                export default BorderPage;
                
        
    

Subtractive

Use border utilities to add or remove an element’s borders. Choose from all borders or one at a time.

        
            
                    import React from "react";

                    const BorderPage = () => {
                        return (
                            <>
                                <span className="block-example border border-0 border-dark"></span>
                                <span className="block-example border border-top-0 border-dark"></span>
                                <span className="block-example border border-right-0 border-dark"></span>
                                <span className="block-example border border-bottom-0 border-dark"></span>
                                <span className="block-example border border-left-0 border-dark"></span>
                            </>
                        );
                    }

                    export default BorderPage;
                
        
    

Border color

Change the border color using utilities built on our theme colors.

        
            
                    import React from "react";

                    const BorderPage = () => {
                        return (
                            <>
                                <span className="block-example border border-primary"></span>
                                <span className="block-example border border-secondary"></span>
                                <span className="block-example border border-success"></span>
                                <span className="block-example border border-danger"></span>
                                <span className="block-example border border-warning"></span>
                                <span className="block-example border border-info"></span>
                                <span className="block-example border border-light"></span>
                                <span className="block-example border border-dark"></span>
                                <span className="block-example border border-white"></span>
                            </>
                        );
                    }

                    export default BorderPage;
                
        
    

Border-radius

Add classes to an element to easily round its corners.

        
            
                    import React from "react";

                    const BorderPage = () => {
                        return (
                            <>
                                <img className="rounded mb-0" alt="100x100" src="https://place-hold.it/100x100" />
                                <img className="rounded-top" alt="100x100" src="https://place-hold.it/100x100" />
                                <img className="rounded-right" alt="100x100" src="https://place-hold.it/100x100" />
                                <img className="rounded-bottom" alt="100x100" src="https://place-hold.it/100x100" />
                                <img className="rounded-left" alt="100x100" src="https://place-hold.it/100x100" />
                                <img className="rounded-circle" alt="100x100" src="https://place-hold.it/100x100" />
                                <img className="rounded-pill" alt="150x75" src="https://place-hold.it/150x75" />
                                <img className="rounded-0" alt="100x100" src="https://place-hold.it/100x100" />
                            </>
                        );
                    }

                    export default BorderPage;

Vue Bootstrap Borders

Vue Borders - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Use border utilities to quickly style the border and border-radius of an element. Great for images, buttons, or any other element.


Border

Use border utilities to add or remove an element’s borders. Choose from all borders or one at a time.


Additive

        
            
        <template>
          <div>
            <span class="border border-dark"></span>
            <span class="border-top border-dark"></span>
            <span class="border-right border-dark"></span>
            <span class="border-bottom border-dark"></span>
            <span class="border-left border-dark"></span>
          </div>
        </template>
    
        
    

Subtractive

Use border utilities to add or remove an element’s borders. Choose from all borders or one at a time.

        
            
      <template>
        <span class="border border-0 border-dark"></span>
        <span class="border border-top-0 border-dark"></span>
        <span class="border border-right-0 border-dark"></span>
        <span class="border border-bottom-0 border-dark"></span>
        <span class="border border-left-0 border-dark"></span>
      </template>
    
        
    

Border color

Change the border color using utilities built on our theme colors.

        
            
<template>
  <div>
    <span class="border border-primary"></span>
    <span class="border border-secondary"></span>
    <span class="border border-success"></span>
    <span class="border border-danger"></span>
    <span class="border border-warning"></span>
    <span class="border border-info"></span>
    <span class="border border-light"></span>
    <span class="border border-dark"></span>
    <span class="border border-white"></span>
  </div>
</template>
  
        
    

Border-radius

Add classes to an element to easily round its corners.

        
            
  <template>
    <div>
      <img class="rounded" alt="100x100" src="..." data-holder-rendered="true">
      <img class="rounded-top" alt="100x100" src="..." data-holder-rendered="true">
      <img class="rounded-right" alt="100x100" src="..." data-holder-rendered="true">
      <img class="rounded-bottom" alt="100x100" src="..." data-holder-rendered="true">
      <img class="rounded-left" alt="100x100" src="..." data-holder-rendered="true">
      <img class="rounded-circle" alt="100x100" src="..." data-holder-rendered="true">
      <img class="rounded-pill" alt="150x75" src="..." data-holder-rendered="true">
      <img class="rounded-0" alt="100x100" src="..." data-holder-rendered="true">
    </div>
  </template>
  
        
    

Sizes

Use .rounded-lg or .rounded-sm for larger or smaller border-radius.

        
            
    <template>
      <div>
        <img class="rounded-sm" alt="100x100" src="...">
        <img class="rounded-lg" alt="100x100" src="...">
      </div>
    </template>